void dash3()
{// Dash with previously attained speed!
    void self = getlocalvar("self");
    float Vx = getlocalvar("x"+self);
    float Vz = getlocalvar("z"+self);
    
      changeentityproperty(self, "velocity", Vx, Vz); //Move towards target!
    
}





